- Home
- API Enriched
- Ddos
- infraprotect
- Customer access.
Customer access.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/system/infraprotect/access';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/system/infraprotect/access \ --header 'Authorization: <Authorization>'RPC to GET customer access and availability info.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”A successful response.
Infraprotect and L3/L4 DDoS accessibility and availability flags response.
object
object
If set then it indicates the date when we expect the customer to have data present.
If true then the customer has some data available, otherwise no data available.
If true then the customer has this feature enabled.
Examplegenerated
{ "l3l4": { "data_expected_ts": "2026-04-15T12:00:00Z", "data_present": true, "enabled": true }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example